<!-- - - - - - - - - - - -
#########################
###### H7SB Lights ######
### 7 Days to Die Mod ###
#########################
####### Eihwaz © ########
##### NO REUPLAOD! ######
#### CC BY-NC-ND-SA #####
#########################
- - - - - - - - - - - -->
<eihwaz.de>  <append xpath="/buffs/buff[@name='buffStatusCheck01']"> <effect_group name="add power"> <triggered_effect trigger="onSelfBuffUpdate" action="ModifyCVar" cvar="powerCheckCVar" operation="add" value="1"> <requirement name="CVarCompare" cvar="onOffCVar" operation="Equals" value="0"/> <requirement name="CVarCompare" cvar="powerCheckCVar" operation="LT" value="300"/> </triggered_effect> </effect_group> </append>  <append xpath="/buffs"> <buff name="lightCheck" name_key="lightCheck" description_key="lightCheckDesc" icon="ui_game_symbol_battery" icon_color="253,253,150"> <stack_type value="ignore"/> <duration value="0"/> <display_value value="powerCheckCVar"/><display_value_format value="time"/> <effect_group name="subtract power"> <triggered_effect trigger="onSelfBuffUpdate" action="ModifyCVar" cvar="powerCheckCVar" operation="subtract" value="1"> <requirement name="CVarCompare" cvar="onOffCVar" operation="Equals" value="1"/> <requirement name="CVarCompare" cvar="powerCheckCVar" operation="GTE" value="1"/> </triggered_effect> <triggered_effect trigger="onSelfBuffUpdate" action="ModifyCVar" cvar="onOffCVar" operation="set" value="0"> <requirement name="CVarCompare" cvar="powerCheckCVar" operation="Equals" value="0"/> </triggered_effect> </effect_group> <effect_group name="flashlight"> <requirement name="HoldingItemHasTags" tags="flashlight"/> <triggered_effect trigger="onSelfBuffUpdate" action="SetTransformActive" active="true" parent_transform="#HeldItemRoot" transform_path="lightSource"> <requirement name="CVarCompare" cvar="onOffCVar" operation="Equals" value="1"/> </triggered_effect> <triggered_effect trigger="onSelfBuffUpdate" action="SetTransformActive" active="false" parent_transform="#HeldItemRoot" transform_path="lightSource"> <requirement name="CVarCompare" cvar="onOffCVar" operation="Equals" value="0"/> </triggered_effect> </effect_group> </buff> </append>   <append xpath="/buffs"><buff name="delayFix_lights" hidden="true"><stack_type value="ignore"/><duration value="0.99"/></buff></append> <append xpath="/buffs"><buff name="delayFix2_lights" hidden="true"><stack_type value="ignore"/><duration value="0.1"/></buff></append> </eihwaz.de>